package org.vraptor.mydvds.interceptor;

import org.vraptor.InterceptorStack;

/**
 * Pilha de Interceptadores. Util para agrupar Inteceptadores, como aqui
 * <code>DaoInterceptor.class</code> e <code>AuthorizationInterceptor.class</code>.
 */
public class SystemUserInterceptors extends InterceptorStack {

	public SystemUserInterceptors() {
		super(AuthorizationInterceptor.class, DaoInterceptor.class);
	}

}
