package org.vraptor.mydvds.interceptor;

import org.vraptor.Interceptor;
import org.vraptor.LogicException;
import org.vraptor.LogicFlow;
import org.vraptor.mydvds.dao.DaoFactory;
import org.vraptor.view.ViewException;

public class TransactionInterceptor implements Interceptor {

	public void intercept(LogicFlow flow) throws LogicException, ViewException {

		DaoFactory daoFactory = (DaoFactory) flow.getLogicRequest().getRequest().getAttribute("org.vraptor.mydvds.dao.DaoFactory");
		daoFactory.beginTransaction();

		flow.execute();

		daoFactory.commit();
	}
}